package de.ivu.elect.business.internet.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class PraesentationsexportProperties
{

private final Praesentationsexport entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  exportsequenznummerProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  letzteEingangssequenznummerProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportart>
                  praesentationsexportartProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportart> praesentationsexportartMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser>
                  praesentationsexportausloeserProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser> praesentationsexportausloeserMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Stimmabgabeart>
                  stimmabgabeartProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Stimmabgabeart> stimmabgabeartMitLeererAuswahlProperty;
        
    

public PraesentationsexportProperties(Praesentationsexport entity) {
this.entity = entity;

}

private static PraesentationsexportMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( PraesentationsexportMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getExportsequenznummerProperty() {
        if (exportsequenznummerProperty == null) {
        exportsequenznummerProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getExportsequenznummerEinzahlMessage(),
        getMetaData().getExportsequenznummerDefaultValue(),
        getMetaData().isExportsequenznummerRequired(),
                entity::setExportsequenznummer,
        entity::getExportsequenznummer

                    , de.ivu.elect.business.internet.entity.PraesentationsexportConstants.EXPORTSEQUENZNUMMER_MIN_VALUE,
            de.ivu.elect.business.internet.entity.PraesentationsexportConstants.EXPORTSEQUENZNUMMER_MAX_VALUE,
            de.ivu.elect.business.internet.entity.PraesentationsexportConstants.EXPORTSEQUENZNUMMER_MAX_LENGTH
                );

        }


        return exportsequenznummerProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getLetzteEingangssequenznummerProperty() {
        if (letzteEingangssequenznummerProperty == null) {
        letzteEingangssequenznummerProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getLetzteEingangssequenznummerEinzahlMessage(),
        getMetaData().getLetzteEingangssequenznummerDefaultValue(),
        getMetaData().isLetzteEingangssequenznummerRequired(),
                entity::setLetzteEingangssequenznummer,
        entity::getLetzteEingangssequenznummer

                    , de.ivu.elect.business.internet.entity.PraesentationsexportConstants.LETZTE_EINGANGSSEQUENZNUMMER_MIN_VALUE,
            de.ivu.elect.business.internet.entity.PraesentationsexportConstants.LETZTE_EINGANGSSEQUENZNUMMER_MAX_VALUE,
            de.ivu.elect.business.internet.entity.PraesentationsexportConstants.LETZTE_EINGANGSSEQUENZNUMMER_MAX_LENGTH
                );

        }


        return letzteEingangssequenznummerProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportart>
                getPraesentationsexportartProperty() {
        if (praesentationsexportartProperty == null) {
        praesentationsexportartProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getPraesentationsexportartEinzahlMessage(),
        getMetaData().getPraesentationsexportartDefaultValue(),
        getMetaData().isPraesentationsexportartRequired(),
                entity::setPraesentationsexportart,
        entity::getPraesentationsexportart

                    , de.ivu.elect.business.ergebnis.entity.Praesentationsexportart.class,
            java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.Praesentationsexportart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return praesentationsexportartProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportart> getPraesentationsexportartMitLeererAuswahlProperty() {
               if (praesentationsexportartMitLeererAuswahlProperty == null) {
                 praesentationsexportartMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getPraesentationsexportartEinzahlMessage(),
        				getMetaData().getPraesentationsexportartDefaultValue(),
                        getMetaData().isPraesentationsexportartRequired(),
                        entity::setPraesentationsexportart,
                        entity::getPraesentationsexportart
                        , de.ivu.elect.business.ergebnis.entity.Praesentationsexportart.class,
                        java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.Praesentationsexportart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return praesentationsexportartMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser>
                getPraesentationsexportausloeserProperty() {
        if (praesentationsexportausloeserProperty == null) {
        praesentationsexportausloeserProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getPraesentationsexportausloeserEinzahlMessage(),
        getMetaData().getPraesentationsexportausloeserDefaultValue(),
        getMetaData().isPraesentationsexportausloeserRequired(),
                entity::setPraesentationsexportausloeser,
        entity::getPraesentationsexportausloeser

                    , de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser.class,
            java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return praesentationsexportausloeserProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser> getPraesentationsexportausloeserMitLeererAuswahlProperty() {
               if (praesentationsexportausloeserMitLeererAuswahlProperty == null) {
                 praesentationsexportausloeserMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getPraesentationsexportausloeserEinzahlMessage(),
        				getMetaData().getPraesentationsexportausloeserDefaultValue(),
                        getMetaData().isPraesentationsexportausloeserRequired(),
                        entity::setPraesentationsexportausloeser,
                        entity::getPraesentationsexportausloeser
                        , de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser.class,
                        java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return praesentationsexportausloeserMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Stimmabgabeart>
                getStimmabgabeartProperty() {
        if (stimmabgabeartProperty == null) {
        stimmabgabeartProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getStimmabgabeartEinzahlMessage(),
        getMetaData().getStimmabgabeartDefaultValue(),
        getMetaData().isStimmabgabeartRequired(),
                entity::setStimmabgabeart,
        entity::getStimmabgabeart

                    , de.ivu.elect.business.ergebnis.entity.Stimmabgabeart.class,
            java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.Stimmabgabeart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return stimmabgabeartProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.Stimmabgabeart> getStimmabgabeartMitLeererAuswahlProperty() {
               if (stimmabgabeartMitLeererAuswahlProperty == null) {
                 stimmabgabeartMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getStimmabgabeartEinzahlMessage(),
        				getMetaData().getStimmabgabeartDefaultValue(),
                        getMetaData().isStimmabgabeartRequired(),
                        entity::setStimmabgabeart,
                        entity::getStimmabgabeart
                        , de.ivu.elect.business.ergebnis.entity.Stimmabgabeart.class,
                        java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.Stimmabgabeart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return stimmabgabeartMitLeererAuswahlProperty;
            }
        
        }